On Gear Live: Apple releases 8GB iPhone 5c in select markets

Latest Gear Live Videos

Monday April 21, 2008 10:20 am

IE 3 and 4 Blocked by Paypal


Paypal logoWe got rather spooked after reading PayPal and Unsafe in the same headline. Having used the service for several years, we always wonder if it is really secure. The company says that those who use Internet Explorer 3 and 4 are the ones at risk because they don’t have enough security features to prevent phishing. If you use one of these you will be warned on the site and expect to be possibly blocked if you try to get in anyway.

The newest version supports EV SSL certificates. The comments were made in a paper written by the site’s Security Officer Michael Barrett and Risk Management Director Dan Levy. Our best advice? Head on over to IE and update to 7.0 or switch to Firefox.


Read More | BBC

Advertisement

Comments:

Wow… does anyone really use IE 3 and 4 anymore?  If you do, you really need to move into the modern era because your computer is obviously not that safe… I think Microsoft should just push these browser updates to people as a mandatory install—do not allow them to use the browser again until it has been updated to the latest version


Comments: Page 1 of 1 pages

Advertisement

Post a Comment:







Smileys

Remember my personal information

Notify me of follow-up comments?



Advertisement